Summary: A window manager switching utility for X.
Name: xwmm
Version: 0.7
Release: 5
Group: User Interface/Desktops
Copyright: GPL
Source: http://www.softarc.com/~msharkey/wmm/xwmm-%{version}.tar.gz
Patch0: xwmm-0.7-misc.patch
Buildroot: %{_tmppath}/%{name}-root
BuildPrereq: qt1x-devel
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif
Prefix: %{kdeprefix}
ExcludeArch: ia64

%description
Xwmm (X Window Manager Manager) is a window manager front-end for the
X Window System. Xwmm makes switching between X window managers easy,
by allowing users to choose a window manager from a list, and then
executing the chosen window manager.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .misc

%build
export QTDIR=/usr/lib/qt-1.45
make CXX=egcs++

%install
make RPM_BUILD_ROOT=$RPM_BUILD_ROOT install

%files
%defattr(-,root,root)
%doc COPYING INSTALL startkde.fixed xwmm.xpm Xclients
/usr/X11R6/bin/xwmm
/usr/X11R6/lib/X11/xwmm/system.xwmmrc

%changelog
* Wed Aug 02 2000 Than Ngo <than@redhat.de>
- fix dependency, kdelibs is not required.

* Mon Jul 24 2000 Than Ngo <than@redhat.de>
- fixt to rebuilt against kde1-compat and compat-egcs-c++
- add missing BuildPrereq and Requires

* Thu Jul 13 2000 Than Ngo <than@redhat.de>
- rebuilt

* Mon Jun 12 2000 Than Ngo <than@redhat.de>
- rebuild for 7.0
- clean up specfile
- fix to build with new gcc-2.96

* Mon Aug 30 1999 Tim Powers <timp@redhat.com>
- changed group
- updated source

* Thu Jul 22 1999 Tim Powers <timp@redhat.com>
- created spec and built for inclusion into Powertools
